Package Details: ropgadget 5.3-3

Git Clone URL: https://aur.archlinux.org/ropgadget.git (read-only)
Package Base: ropgadget
Description: Search gadgets in binaries to facilitate ROP exploitation for several file formats and architectures
Upstream URL: http://www.shell-storm.org/project/ROPgadget
Licenses: GPL2
Submitter: None
Maintainer: anthraxx
Last Packager: anthraxx
Votes: 12
Popularity: 0.000110
First Submitted: 2011-05-25 07:15
Last Updated: 2015-06-18 16:12

Dependencies (2)

Required by (4)

Sources (1)

Latest Comments

isra17 commented on 2014-11-11 02:51

The PKGBUILD is not actually installing python ropgadget module. It should uses
python2 setup.py install --root="$pkgdir/" --optimize=1

and add python2-setuptools as a dependancy.

anthraxx commented on 2014-04-21 16:15

Adopted and update to the current version 5.1 including new dependency (capstone)

twighk commented on 2013-02-17 09:24

# Maintainer: s1gma <s1gma@mindslicer.com>

pkgname=ropgadget
_pkgname=ROPgadget

pkgver=4.0.0
pkgrel=1
pkgdesc="A tool to facilitate ROP exploitation & auto-roper to build payloads"
arch=('any')
url="http://www.shell-storm.org/project/ROPgadget/"
license=('GPL')
provides=(ropgadget)

_gitroot=git://github.com/JonathanSalwan/ROPgadget.git

build() {
cd ${srcdir}
msg "Connecting to the GIT server...."

if [[ -d "$srcdir"/$_pkgname ]] ; then
cd $_pkgname
git pull origin
msg "The local files are updated."
else
git clone $_gitroot $_pkgname
cd $_pkgname
fi

make
}

package() {
cd "$srcdir/$_pkgname"
install -D -m 755 $_pkgname $pkgdir/usr/bin/$pkgname
}